import { vitePreprocess } from '@sveltejs/vite-plugin-svelte'

export default {
  preprocess: vitePreprocess(),
  compilerOptions: {
    runes: true,
  },
  onwarn: (warning, handler) => {
    // a11y-Warnungen nicht als Build-Fehler behandeln
    if (warning.code.startsWith('a11y')) return
    handler(warning)
  },
}
